VARKON Version 1.15 1997-10-24

> ## symb - Geometric procedure

> Creates a part
> Description
> Creates a 2D part by reading lines from a named VARKON plotfile. Translation and optional rotation and scaling is controlled by parameters. The part created gets the same name as the plotfile and the transformed lines from the plotfile as its members.
> Syntax
> symb(#1,name, p, s, rot:attributes);

> REF | id;
> STRING | name;
> VECTOR | p;
> FLOAT | s;
> FLOAT | rot;

> Principal parameters

> id | - Local identity
> name | - Name of plotfile
> p | - Plotfile origin

> Optional parameters

> s | - Scale, default = 1
> rot | - Anticlockwise rotation, default = 0

> Attributes

> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> symb(#1,"logo",vec(100,100),0.1);
> Creates a part by copying the lines in plotfile "logo" and placing them relative to X=Y=100. Scalefactor is 0.1.
> Comments
> symb automatically appends ".PLT" to name and tries to locate the plotfile first in the active job directory and then in the alternative symb directory specified by the active project.
> symb uses the pen number information in the plotfile to assign the PEN attribute to the lines created.
> symb can not be used in a 3D module.

VARKON Homepage | Index